libzypp: zypp::media::ProxyInfoSysconfig Class Reference

libzypp 17.38.11

zypp::media::ProxyInfoSysconfig Class Reference

`#include <zypp-curl/proxyinfo/proxyinfosysconfig.h>`

Inheritance diagram for zypp::media::ProxyInfoSysconfig:

## Public Member Functions
| ProxyInfoSysconfig (const Pathname &path)
bool | enabled () const override
std::string | proxy (const Url &url_r) const override
ProxyInfo::NoProxyList | noProxy () const override
ProxyInfo::NoProxyIterator | noProxyBegin () const override
ProxyInfo::NoProxyIterator | noProxyEnd () const override
Public Member Functions inherited from zypp::media::ProxyInfo::Impl
| Impl ()
| Ctor.
virtual | ~Impl ()
| Dtor.
bool | useProxyFor (const Url &url_r) const
| Return `true` if enabled and url_r does not match noProxy.

## Private Attributes
DefaultIntegral< bool, false > | _enabled
ProxyInfo::NoProxyList | _no_proxy
std::map< std::string, std::string > | _proxies

## Additional Inherited Members
Static Public Attributes inherited from zypp::media::ProxyInfo::Impl
static shared_ptr< Impl > | _nullimpl
| Default Impl: empty sets.

## Detailed Description

Definition at line 27 of file proxyinfosysconfig.h.

## Constructor & Destructor Documentation

## ◆ ProxyInfoSysconfig()

zypp::media::ProxyInfoSysconfig::ProxyInfoSysconfig | ( | const Pathname & | path | ) |

Definition at line 28 of file proxyinfosysconfig.cc.

## Member Function Documentation

## ◆ enabled()

bool zypp::media::ProxyInfoSysconfig::enabled | ( |  | ) | const
| inlineoverridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 32 of file proxyinfosysconfig.h.

## ◆ proxy()

std::string zypp::media::ProxyInfoSysconfig::proxy | ( | const Url & | url_r | ) | const
| overridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 52 of file proxyinfosysconfig.cc.

## ◆ noProxy()

ProxyInfo::NoProxyList zypp::media::ProxyInfoSysconfig::noProxy | ( |  | ) | const
| inlineoverridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 37 of file proxyinfosysconfig.h.

## ◆ noProxyBegin()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfoSysconfig::noProxyBegin | ( |  | ) | const
| overridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 60 of file proxyinfosysconfig.cc.

## ◆ noProxyEnd()

ProxyInfo::NoProxyIterator zypp::media::ProxyInfoSysconfig::noProxyEnd | ( |  | ) | const
| overridevirtual

Implements zypp::media::ProxyInfo::Impl.

Definition at line 63 of file proxyinfosysconfig.cc.

## Member Data Documentation

## ◆ _enabled

DefaultIntegral<bool,false> zypp::media::ProxyInfoSysconfig::_enabled
| private

Definition at line 44 of file proxyinfosysconfig.h.

## ◆ _no_proxy

ProxyInfo::NoProxyList zypp::media::ProxyInfoSysconfig::_no_proxy
| private

Definition at line 45 of file proxyinfosysconfig.h.

## ◆ _proxies

std::map<std::string,std::string> zypp::media::ProxyInfoSysconfig::_proxies
| private

Definition at line 46 of file proxyinfosysconfig.h.

The documentation for this class was generated from the following files:

- zypp-curl/proxyinfo/proxyinfosysconfig.h
- zypp-curl/proxyinfo/proxyinfosysconfig.cc